Steam for Linux

Steam for Linux

Xubuntu 13.04 not workin
So i download steam for ubuntu and i get a 32 bit library error even tho i'm on 32 bit i have tried almost everything to fix this nothing works... i ran windows version on wine and it installed and ran just fine. hpw can i fix the ubuntu version?
Last edited by Chowder908 | TF2classic; Jul 1, 2013 @ 12:45am
< >
Showing 1-15 of 21 comments
MrFastDie Jul 1, 2013 @ 12:58am 
Do you have a 64 bit System?
Then try to install the 32 Bit Library, type in Terminal: "apt-get install ia32-libs" or it can also be "apt-get install ia32-libs-multiarch" or i think "sudo apt-get install libc6:i386 libgcc1:i386 gcc-4.6-base:i386 libstdc++5:i386 libstdc++6:i386" can also work
Last edited by MrFastDie; Jul 1, 2013 @ 1:07am
Originally posted by MrFastDie:
Do you have a 64 bit System?
Then try to install the 32 Bit Library, type in Terminal: apt-get install ia32-libs
it says
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
MrFastDie Jul 1, 2013 @ 1:07am 
Originally posted by Patrick Star:
Originally posted by MrFastDie:
Do you have a 64 bit System?
Then try to install the 32 Bit Library, type in Terminal: apt-get install ia32-libs
it says
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
Sorry, make sudo apt-get
Originally posted by MrFastDie:
Originally posted by Patrick Star:
it says
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
Sorry, make sudo apt-get
well i tried it all still getting the error
MrFastDie Jul 1, 2013 @ 1:40am 
Originally posted by Patrick Star:
Originally posted by MrFastDie:
Sorry, make sudo apt-get
well i tried it all still getting the error
Then try to login as Root before, type su in terminal then try again the command withoud sudo
getting authorization fail
MrFastDie Jul 1, 2013 @ 1:43am 
Wrong password?
i'm using my password :)
MrFastDie Jul 1, 2013 @ 1:53am 
Ok thats not the root password i think ^^ type sudo passwd root then yourpassword and then two times the new root password
libc6 is already the newest version.
and apt-get install ia32-libs says E: Unable to locate package ia32-libs
MrFastDie Jul 1, 2013 @ 2:31am 
And "apt-get install ia32-libs-multiarch"? I Tried that at Ubuntu 12.04 there it works
Originally posted by MrFastDie:
And "apt-get install ia32-libs-multiarch"? I Tried that at Ubuntu 12.04 there it works
That installed but still getting library 32
Last edited by Chowder908 | TF2classic; Jul 1, 2013 @ 12:22pm
Fibbles Jul 1, 2013 @ 2:39pm 
What exactly is the 32bit error you're getting? These posts are very vague...
R3450N Jul 1, 2013 @ 2:44pm 
I have to agree; I use Xubuntu 13.04 and I have no problems running Steam, especially during its installation. So it appears there's a problem with sudoing - have you changed the sudoers list in any way?

By the way, are you sure using a 32-bit version of Linux is right for you? Depending on your hardware, 64-bit is the way to go when it comes to full experience with games and Steam.
Originally posted by RAVEN MCCCXXXVII:
I have to agree; I use Xubuntu 13.04 and I have no problems running Steam, especially during its installation. So it appears there's a problem with sudoing - have you changed the sudoers list in any way?

By the way, are you sure using a 32-bit version of Linux is right for you? Depending on your hardware, 64-bit is the way to go when it comes to full experience with games and Steam.
Yes pretty sure i installed 32-bit
< >
Showing 1-15 of 21 comments
Per page: 15 30 50

Date Posted: Jul 1, 2013 @ 12:13am
Posts: 21